Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » Extra libraries, Code snippets, applications etc. » OS Problems etc., Win32, POSIX, MacOS, FreeBSD, X11 etc » Runtime error: "undefined symbol: gdk_display_get_primary_monitor"
Runtime error: "undefined symbol: gdk_display_get_primary_monitor" [message #57207] Fri, 11 June 2021 10:55 Go to previous message
MonkeyH is currently offline  MonkeyH
Messages: 3
Registered: August 2019
Junior Member
Hello,
I get this symbol lookup error "undefined symbol: gdk_display_get_primary_monitor" running a program on Trisquel GNU/Linux 8.0 32 bit. The program was built on a different pc with Trisquel 9 32 bit and U++ v. 14429 (I don't know if this was the best choice for 32 bit) with a pretty standard setup (GUI + CLANG + Shared libs).
I guess this could be a libray missing/outdated issue.

These are the gtk related libraries installed on the host pc:
	libwebkit2gtk-4.0.so.37 (libc6) => /usr/lib/i386-linux-gnu/libwebkit2gtk-4.0.so.37
	libwebkitgtk-3.0.so.0 (libc6) => /usr/lib/i386-linux-gnu/libwebkitgtk-3.0.so.0
	libwebkitgtk-1.0.so.0 (libc6) => /usr/lib/i386-linux-gnu/libwebkitgtk-1.0.so.0
	libtopmenu-client-gtk3.so.0 (libc6) => /usr/lib/libtopmenu-client-gtk3.so.0
	libtopmenu-client-gtk2.so.0 (libc6) => /usr/lib/libtopmenu-client-gtk2.so.0
	libspice-client-gtk-3.0.so.4 (libc6) => /usr/lib/i386-linux-gnu/libspice-client-gtk-3.0.so.4
	libpeas-gtk-1.0.so.0 (libc6) => /usr/lib/i386-linux-gnu/libpeas-gtk-1.0.so.0
	libnm-gtk.so.0 (libc6) => /usr/lib/i386-linux-gnu/libnm-gtk.so.0
	libjavascriptcoregtk-4.0.so.18 (libc6) => /usr/lib/i386-linux-gnu/libjavascriptcoregtk-4.0.so.18
	libjavascriptcoregtk-3.0.so.0 (libc6) => /usr/lib/i386-linux-gnu/libjavascriptcoregtk-3.0.so.0
	libjavascriptcoregtk-1.0.so.0 (libc6) => /usr/lib/i386-linux-gnu/libjavascriptcoregtk-1.0.so.0
	libindicate-gtk.so.3 (libc6) => /usr/lib/libindicate-gtk.so.3
	libgtkspell.so.0 (libc6) => /usr/lib/libgtkspell.so.0
	libgtksourceview-2.0.so.0 (libc6) => /usr/lib/libgtksourceview-2.0.so.0
	libgtkmm-2.4.so.1 (libc6) => /usr/lib/i386-linux-gnu/libgtkmm-2.4.so.1
	libgtkglext-x11-1.0.so.0 (libc6) => /usr/lib/i386-linux-gnu/libgtkglext-x11-1.0.so.0
	libgtk-3.so.0 (libc6) => /usr/lib/i386-linux-gnu/libgtk-3.so.0
	libgtk-3.so (libc6) => /usr/lib/i386-linux-gnu/libgtk-3.so
	libgtk-x11-2.0.so.0 (libc6) => /usr/lib/i386-linux-gnu/libgtk-x11-2.0.so.0
	libgtk-vnc-2.0.so.0 (libc6) => /usr/lib/i386-linux-gnu/libgtk-vnc-2.0.so.0
	libdbusmenu-gtk3.so.4 (libc6) => /usr/lib/i386-linux-gnu/libdbusmenu-gtk3.so.4
	libdbusmenu-gtk.so.4 (libc6) => /usr/lib/i386-linux-gnu/libdbusmenu-gtk.so.4
	libclutter-gtk-1.0.so.0 (libc6) => /usr/lib/i386-linux-gnu/libclutter-gtk-1.0.so.0
	libcheese-gtk.so.25 (libc6) => /usr/lib/i386-linux-gnu/libcheese-gtk.so.25
	libcanberra-gtk3.so.0 (libc6) => /usr/lib/i386-linux-gnu/libcanberra-gtk3.so.0
	libcanberra-gtk.so.0 (libc6) => /usr/lib/i386-linux-gnu/libcanberra-gtk.so.0
	libavahi-ui-gtk3.so.0 (libc6) => /usr/lib/i386-linux-gnu/libavahi-ui-gtk3.so.0


How can I solve this? Any kind of suggestions will be appreciated.
Thanks in advance.
 
Read Message
Read Message
Read Message
Previous Topic: "too many sections" error with MinGW
Next Topic: Linux embedded development without X11/GTK dependencies
Goto Forum:
  


Current Time: Sun Jul 21 19:07:46 CEST 2024

Total time taken to generate the page: 0.02830 seconds